################
# dependencies #
################
FROM node:16-alpine AS deps
WORKDIR /app

# node-gyp dependencies
# RUN apk add --no-cache python3 make gcc g++

# COPY ./package.json ./
# COPY ./package-lock.json ./
# RUN npm install

##########
# runner #
##########
FROM node:16-alpine AS runner
WORKDIR /app

# warning: COPY operates differently from `cp` and copies the *contents* of src, not src itself. this results in having to specify `node_modules` in the target otherwise the files would end up at a wrong place
# COPY --from=deps /app/node_modules/ ./node_modules
COPY . .

# Next.js collects completely anonymous telemetry data about general usage.
# Learn more here: https://nextjs.org/telemetry
# Uncomment the following line in case you want to disable telemetry.
# ENV NEXT_TELEMETRY_DISABLED 1

EXPOSE 3000
CMD ["npm", "run", "dev"]
